<?php

$URLcorrection = "";
$page = "FAQ";
$PageTitle = "Frequently Asked Questions";
$metadescription = "Find answers to your questions about Loft Boarding NW. Get help with our storage solutions and services.";
$metakeywords = "FAQ, Loft Boarding NW, Storage Solutions, Questions, Answers";


include_once 'includes/header.php';

?>


<section class="new-build-banner">
    <div class="banner-overlay-2"></div>
    <div class="container">
        <div class="banner-content">
            <div class="text-container">
                <span class="top-tag text-white">North East Loft Boarding</span>
                <h1 class="stand-out-text">Frequently Asked Questions</h1>
                <p>Find answers to your questions about Loft Boarding NW. Get help with our storage solutions and services.</p>
                <div class="">
                    <a href="<?= $URLcorrection ?>contact" class="customer-quote-button">Arrange a free quote</a>
                </div>
            </div>
        </div>
    </div>
</section>

<?php
class Data
{

    // database connection and table name
    private $conn;

    // constructor
    public function __construct()
    {
        $database = new database();
        $this->conn = $database->getConnection();
    }

    public function showError($stmt)
    {
        echo "<pre>";
        print_r($stmt->errorInfo());
        echo "</pre>";
    }

    public function geta($limit)
    {
        $query = "SELECT * FROM lbnwco_prices.faq ORDER BY position ASC LIMIT " . $limit;
        $stmt = $this->conn->prepare($query);
        $stmt->bindParam(':limit', $limit);
        if ($stmt->execute()) {
            return $stmt;
        } else {
            $this->showError($stmt);
            return $stmt;
        }
    }

    public function getd($limit)
    {
        $query = "SELECT * FROM lbnwco_prices.faq ORDER BY position LIMIT " . $limit . " OFFSET " . $limit;
        $stmt = $this->conn->prepare($query);
        $stmt->bindParam(':limit', $limit);
        if ($stmt->execute()) {
            return $stmt;
        } else {
            $this->showError($stmt);
            return $stmt;
        }
    }

    public function get()
    {
        $query = "SELECT * FROM lbnwco_prices.faq ORDER BY position";
        $stmt = $this->conn->prepare($query);
        if ($stmt->execute()) {
            return $stmt;
        } else {
            $this->showError($stmt);
            return $stmt;
        }
    }

    public function getnum()
    {
        $query = "SELECT * FROM lbnwco_prices.faq ORDER BY position";
        $stmt = $this->conn->prepare($query);
        $stmt->execute();

        // return values
        return $stmt->rowCount();
    }
}

$data = new Data();

$getnum = $data->getnum() / 2;
//include header
?>
<div class="whitebg">

    <div class="contentheadtop">



        <?php

        $ch = curl_init('https://loft-boarding.co.uk/global/faq.php');

        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($_REQUEST));
        echo "<div class='container'>";
        echo "<br><br><br>";
        echo curl_exec($ch);
        echo "</div>";
        curl_close($ch);


        ?>
    </div>




    <?php

    include_once $URLcorrection . "includes/footer.php";

    ?>